#!/bin/bash

set -e

while getopts 'd:a:' opt
do
	case $opt in
		d)
			db=$OPTARG
			;;
		a)
			account=$OPTARG
			;;
		?)
			exit 1
			;;
	esac
done

if [[ -z $db ]]
then
	echo "$0:" '-d is required' >&2
	exit 1
fi

if [[ -z $account ]]
then
	echo "$0:" '-a is required' >&2
	exit 1
fi

# format each row of data retreived from the select statement and pipe to toot
fmt='printf "Starting soon:\n\n%s (%s-%s) @\n%s (%s-%s)\n\n#baseball #live\n", $1, $2, $3, $4, $5, $6'
post="\"toot post --using $account\""
sqlite3 $db < poststart.sql | awk -F  "{$fmt | $post; close($post)}"
